%define major		5
%define libname 	%mklibname njb %{major}
%define develname	%mklibname njb -d

Name: 	 	libnjb
Summary:	A software library for talking to the Creative Nomad Jukeboxes and Dell DJs
Version: 	2.2.7
Release: 	%mkrel 7

Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		libnjb-2.2.7-optimize-udev-rule.patch
URL:		https://sourceforge.net/projects/libnjb/
License:	BSD
Group:		System/Libraries

BuildRequires:  pkgconfig(libusb)
BuildRequires:  doxygen

# /usr/bin/play
Conflicts:      sox
# /usr/bin/sendfile
Conflicts:      sendfile 

%description
Provides a user-level API (C library) for communicating with the
Creative Nomad JukeBox MP3 player under Linux and *BSD, as well
as simple command-line utilities to demonstrate the API functions.
This library works in user space.

%package -n 	%{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries

%description -n %{libname}
Provides a user-level API (C library) for communicating with the
Creative Nomad JukeBox MP3 player under Linux and *BSD, as well
as simple command-line utilities to demonstrate the API functions.
This library works in user space.
This libraries from %{name}.

%package -n 	%{develname}
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Libraries and includes files for developing programs based on %name.

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="%{optflags} -std=gnu17"
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%makeinstall pkgdocdir=`pwd`/installed-docs

rm -f %{buildroot}%{_libdir}/*.la

#gw TODO fix device ownership
# Install udev rules file.
install -m644 libnjb.rules -D %{buildroot}%{_udevrulesdir}/60-libnjb.rules
install -m644 libnjb.fdi -D %{buildroot}%{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libnjb.fdi

%files
%doc AUTHORS ChangeLog FAQ HACKING  README LICENSE
%{_bindir}/*
%{_udevrulesdir}/60-libnjb.rules
%{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libnjb.fdi

%files -n %{libname}
%{_libdir}/libnjb.so.%{major}{,.*}

%files -n %{develname}
%doc installed-docs/*
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri May 16 2025 ns80 <ns80> 2.2.7-7.mga10
+ Revision: 2183914
- try to fix building with GCC 15

* Fri Mar 25 2022 umeabot <umeabot> 2.2.7-6.mga9
+ Revision: 1826975
- Mageia 9 Mass Rebuild

* Sat Jan 09 2021 pterjan <pterjan> 2.2.7-5.mga8
+ Revision: 1670235
- Add missing conflicts due to very generic cli names
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 2.2.7-4.mga8
+ Revision: 1514308
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.2.7-3.mga7
+ Revision: 1299049
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 wally <wally> 2.2.7-2.mga7
+ Revision: 1235735
- fix build on aarch64
- drop old obsoletes/provides
+ kekepower <kekepower>
- Use make_build

* Tue May 10 2016 tv <tv> 2.2.7-1.mga6
+ Revision: 1012118
- new release
- rediff patch 0
- drop merged patch 1

* Mon Feb 08 2016 umeabot <umeabot> 2.2.6-16.mga6
+ Revision: 944781
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.6-15.mga5
+ Revision: 744402
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.6-14.mga5
+ Revision: 681653
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 pterjan <pterjan> 2.2.6-13.mga5
+ Revision: 643710
- Replace libusb*-devel BuildRequires by better ones

* Fri Oct 18 2013 umeabot <umeabot> 2.2.6-12.mga4
+ Revision: 521074
- Mageia 4 Mass Rebuild

* Wed Jan 16 2013 fwang <fwang> 2.2.6-11.mga3
+ Revision: 388553
- correct udev rules dir

* Sat Jan 12 2013 umeabot <umeabot> 2.2.6-10.mga3
+ Revision: 357867
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 18 2012 fwang <fwang> 2.2.6-9.mga3
+ Revision: 307835
- drop .la file

* Mon Jan 24 2011 ahmad <ahmad> 2.2.6-9.mga1
+ Revision: 35870
- drop old/unneeded scriptlets
- imported package libnjb


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.6-8mdv2011.0
+ Revision: 602582
- rebuild

* Wed Nov 25 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.2.6-7mdv2010.1
+ Revision: 469930
- backport libnjb.fdi from CVS (P1):
  	o Add keys that signify WAV support on all devices.
  	o Update hal fdi file to output info.vendor info.product, as
  	 hal-supplied values for these are often incorrect.
- fix bogus summary
- use more recent hal .fdi file that comes with libnjb
- fix ordering of udev rule
- optimize udev rule (P0 from cvs)

* Thu Oct 08 2009 Götz Waschk <waschk@mandriva.org> 2.2.6-5mdv2010.0
+ Revision: 456083
- rebuild for new libusb.la location

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.2.6-4mdv2010.0
+ Revision: 425630
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.2.6-3mdv2009.0
+ Revision: 222938
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.6-2mdv2008.1
+ Revision: 178978
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Thu Sep 06 2007 Emmanuel Andry <eandry@mandriva.org> 2.2.6-1mdv2008.0
+ Revision: 81157
- New version

* Thu Jul 26 2007 Adam Williamson <awilliamson@mandriva.org> 2.2.5-5mdv2008.0
+ Revision: 55730
- rebuild for 2008
- new devel policy
- drop all the hotplug stuff (hotplug is not used any more)


* Tue Sep 19 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.2.5-5mdv2007.0
- rebuild

* Thu Aug 31 2006 Götz Waschk <waschk@mandriva.org> 2.2.5-4mdv2007.0
- enable hotplugging

* Wed Aug 23 2006 Emmanuel Andry <eandry@mandriva.org> 2.2.5-3mdv2007.0
- rebuild

* Wed Mar 01 2006 Götz Waschk <waschk@mandriva.org> 2.2.5-2mdk
- fix license
- fix doc listing
- fix buildrequires

* Mon Feb 27 2006 Götz Waschk <waschk@mandriva.org> 2.2.5-1mdk
- spec fixes
- source URL
- new version

* Wed Dec 07 2005 Götz Waschk <waschk@mandriva.org> 2.2.4-1mdk
- New release 2.2.4

* Fri Oct 28 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.2-2mdk
- Fix BuildRequires

* Thu Jul 07 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.2-1mdk
- 2.2
- bump major

* Thu Jun 16 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.1.2-1mdk
- 2.1.2
- new major

* Wed Nov 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2-1mdk
- 1.2

* Sat Jun 05 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1-1mdk
- initial mdk release

